d_alloc_anon
Prev | The Directory Cache | Next

## Name

d_alloc_anon — allocate an anonymous dentry

## Synopsis

`struct dentry * d_alloc_anon (` | struct inode * | inode`)`;

## Arguments

`inode`

  inode to allocate the dentry for

## Description

This is similar to d_alloc_root. It is used by filesystems when creating a dentry for a given inode, often in the process of mapping a filehandle to a dentry. The returned dentry may be anonymous, or may have a full name (if the inode was already in the cache). The file system may need to make further efforts to connect this dentry into the dcache properly.

When called on a directory inode, we must ensure that the inode only ever has one dentry. If a dentry is found, that is returned instead of allocating a new one.

On successful return, the reference to the inode has been transferred to the dentry. If `NULL` is returned (indicating kmalloc failure), the reference on the inode has not been released.

Prev | Up | Next
d_alloc_root | Home | d_splice_alias